### Function

# GObject TypePluginCompleteTypeInfo

since: 2.0

#### Declaration

    void
    (* GTypePluginCompleteTypeInfo) (
      GTypePlugin* plugin,
      GType g_type,
      GTypeInfo* info,
      GTypeValueTable* value_table
    )

#### Description

The type of the `complete_type_info` function of `GTypePluginClass`.

Available since: 2.0

#### Parameters

`plugin`

  Type: `GTypePlugin`

  The `GTypePlugin`.

  The data is owned by the caller of the function.

`g_type`

  Type: `GType`

  The `GType` whose info is completed.

`info`

  Type: `GTypeInfo`

  The `GTypeInfo` struct to fill in.

  The data is owned by the caller of the function.

`value_table`

  Type: `GTypeValueTable`

  The `GTypeValueTable` to fill in.

  The data is owned by the caller of the function.